window.Gleam.initSearch([{"doc":"openrouter_client","title":"openrouter_client","content":"# openrouter_client\n\n[![Package Version](https://img.shields.io/hexpm/v/openrouter_client)](https://hex.pm/packages/openrouter_client)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/openrouter_client/)\n\nA simple and incomplete client library for OpenRouter.\n\n```sh\ngleam add openrouter_client\n```\n```gleam\nimport openrouter_client\n\npub fn main() {\n  let client = openrouter_client.new(api_key, model, system_prompt)\n  let assert Ok(resp) = client.send(&quot;Tell me something about the Gleam programming language&quot;)\n}\n```\n\nFurther documentation can be found at &lt;https://hexdocs.pm/openrouter_client&gt;.\n\n## Development\n\n```sh\ngleam run   # Run the project\ngleam test  # Run the tests\n```\n","url":"index.html"},{"doc":"openrouter_client","title":"Client","content":"pub type Client {\n  Client(\n    api_key: String,\n    model: String,\n    system_prompt: option.Option(String),\n  )\n}\n\nClient(\n  api_key: String,\n  model: String,\n  system_prompt: option.Option(String),\n)\n\n\nSynonyms:\nopenrouter_client.Client\nopenrouter_client Client","url":"openrouter_client.html#Client"},{"doc":"openrouter_client","title":"new","content":"pub fn new(\n  api_key: String,\n  model: String,\n  system_prompt: Option(String),\n) -&gt; Client\n Create a new Openrouter client\n Takes in the api key, a model name and a optional system prompt\nSynonyms:\nopenrouter_client.new\nopenrouter_client new","url":"openrouter_client.html#new"},{"doc":"openrouter_client","title":"send","content":"pub fn send(\n  client: Client,\n  prompt: String,\n) -&gt; Result(OpenrouterResponse, OpenrouterError)\n\nSynonyms:\nopenrouter_client.send\nopenrouter_client send","url":"openrouter_client.html#send"},{"doc":"openrouter_client","title":"openrouter_client","content":"","url":"openrouter_client.html"}]);